package com.ruoyi.ibs.list.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 活动分群客户关联关系，推送成功后，插入一条记录对象 sys_campaign_group_customer
 *
 * @author ruoyi
 * @date 2024-09-14
 */
public class SysCampaignGroupCustomer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 客户号
     */
    @Excel(name = "客户号")
    private String custId;

    /**
     * 活动id
     */
    @Excel(name = "活动id")
    private String campaignId;

    private String custIsn;

    private String custName;

    private String lpName;

    /**
     * 分群id
     */
    @Excel(name = "分群id")
    private String groupId;


    private String deptFlag;
    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

    /**
     * 删除标志(0代表存在，2代表删除)
     */
    private String delFlag;

    /**
     * 网格id
     */
    @Excel(name = "网格id")
    private Long gridId;

    /**
     * 0推荐营销清单，1我的营销清单
     */
    @Excel(name = "0推荐营销清单，1我的营销清单")
    private String listType;

    /**
     * 推送状态(0代表未推送，1代表推送成功，2代表推送失败)
     */
    @Excel(name = "推送状态(0代表未推送，1代表推送成功，2代表推送失败)")
    private String pushStatus;

    /**
     * 机构认领状态(0待认领，1已认领)
     */
    private String orgClaimStatus;


    /**
     * 推送客户经理级别：head 总行  branch支行
     */
    private String pushUserLevel;
    /**
     * 机构分配状态(0待分配，1已分配)
     */
    private String orgDistributeStatus;

    /**
     * 客户经理认领状态(0待认领，1已认领)
     */
    private String custClaimStatus;

    /**
     * 创建角色，0总行管理员，1支行管理员
     */
    private String createRole;

    /**
     * 一级网格名称
     */
    private String gridName;

    /**
     * 一级网格名称
     */
    private String gridName2;

    /**
     * 归属网点
     */
    private String outlets;

    /**
     * 客户身份证号
     */
    private String custIdc;

    /**
     *活动是否二次推送过，0未推送，1已推送
     */
    private String secondPushStatus;

    private String socialCreditCode;

    private String custPhone;

    private Long outletsId;

    public SysCampaignGroupCustomer() {
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustId() {
        return custId;
    }

    public void setCampaignId(String campaignId) {
        this.campaignId = campaignId;
    }

    public String getCampaignId() {
        return campaignId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setGridId(Long gridId) {
        this.gridId = gridId;
    }

    public Long getGridId() {
        return gridId;
    }

    public void setListType(String listType) {
        this.listType = listType;
    }

    public String getListType() {
        return listType;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public String getOrgClaimStatus() {
        return orgClaimStatus;
    }

    public void setOrgClaimStatus(String orgClaimStatus) {
        this.orgClaimStatus = orgClaimStatus;
    }

    public String getOrgDistributeStatus() {
        return orgDistributeStatus;
    }

    public void setOrgDistributeStatus(String orgDistributeStatus) {
        this.orgDistributeStatus = orgDistributeStatus;
    }

    public String getCustClaimStatus() {
        return custClaimStatus;
    }

    public void setCustClaimStatus(String custClaimStatus) {
        this.custClaimStatus = custClaimStatus;
    }

    public String getCreateRole() {
        return createRole;
    }

    public void setCreateRole(String createRole) {
        this.createRole = createRole;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getGridName2() {
        return gridName2;
    }

    public void setGridName2(String gridName2) {
        this.gridName2 = gridName2;
    }

    public String getOutlets() {
        return outlets;
    }

    public void setOutlets(String outlets) {
        this.outlets = outlets;
    }

    public String getCustIdc() {
        return custIdc;
    }

    public void setCustIdc(String custIdc) {
        this.custIdc = custIdc;
    }

    public String getSecondPushStatus() {
        return secondPushStatus;
    }

    public void setSecondPushStatus(String secondPushStatus) {
        this.secondPushStatus = secondPushStatus;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getCustPhone() {
        return custPhone;
    }

    public void setCustPhone(String custPhone) {
        this.custPhone = custPhone;
    }

    public Long getOutletsId() {
        return outletsId;
    }

    public void setOutletsId(Long outletsId) {
        this.outletsId = outletsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("custId", getCustId())
                .append("campaignId", getCampaignId())
                .append("groupId", getGroupId())
                .append("deptId", getDeptId())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("delFlag", getDelFlag())
                .append("gridId", getGridId())
                .append("listType", getListType())
                .append("pushStatus", getPushStatus()).append("orgClaimStatus", getOrgClaimStatus())
                .append("orgDistributeStatus", getOrgDistributeStatus()).append("custClaimStatus", getCustClaimStatus()).append("createRole", getCreateRole())
                .append("gridName",getGridName()).append("gridName2",getGridName2()).append("outlets",getOutlets())
                .append("custIdc",getCustIdc())
                .append("secondPushStatus",getSecondPushStatus())
                .toString();
    }

    public String getPushUserLevel() {
        return pushUserLevel;
    }

    public void setPushUserLevel(String pushUserLevel) {
        this.pushUserLevel = pushUserLevel;
    }

    public String getDeptFlag() {
        return deptFlag;
    }

    public void setDeptFlag(String deptFlag) {
        this.deptFlag = deptFlag;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getCustName() {
        return custName;
    }

    public void setCustName(String custName) {
        this.custName = custName;
    }

    public String getLpName() {
        return lpName;
    }

    public void setLpName(String lpName) {
        this.lpName = lpName;
    }
}
